namespace _2_
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            Console.WriteLine(" 1 6 2");
            Console.WriteLine(" 3 5 4");
        }
    }
}